### Method

# Clutter Timeline set_cubic_bezier_progress

#### Declaration [src]

    void
    clutter_timeline_set_cubic_bezier_progress (
      ClutterTimeline* timeline,
      const graphene_point_t* c_1,
      const graphene_point_t* c_2
    )

#### Description [src]

Sets the `ClutterTimeline:progress-mode` of `timeline` to `CLUTTER_CUBIC_BEZIER`, and sets the two control points for the cubic bezier.

The cubic bezier curve is between (0, 0) and (1, 1). The X coordinate of the two control points must be in the [ 0, 1 ] range, while the Y coordinate of the two control points can exceed this range.

#### Parameters

`c_1`

  Type: `graphene_point_t`

  The first control point for the cubic bezier.

  The data is owned by the caller of the method.

`c_2`

  Type: `graphene_point_t`

  The second control point for the cubic bezier.

  The data is owned by the caller of the method.